View Issue Details

IDProjectCategoryView StatusLast Update
0032942CommunityOCCT:Modeling Algorithmspublic2022-05-08 16:17
ReporterMatthias Assigned Toifv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2017 
Product Version7.6.0 
Target Version7.7.0 
Summary0032942: Modeling Algorithms - Boolean operation Common has no result in specific example
Descriptionsee summary
Steps To ReproduceDRAW:
restore m.brep
restore s.brep
bcommon r m s
explode r


test case:
bugs/modalg_8/bug32942
TagsNo tags attached.
Test case numberbugs/modalg_8/bug32942

Attached Files

  • m.brep (3,026 bytes)
  • s.brep (11,680 bytes)

Relationships

related to 0032943 verifiedbugmaster Boolean operation Common has no result in specific example 
related to 0032944 verifiedbugmaster Boolean operation Common has no result in specific example 
related to 0032945 verifiedbugmaster Boolean operation Common has no result in specific example 

Activities

Matthias

2022-04-21 11:58

developer   ~0108065

m.brep (3,026 bytes)
s.brep (11,680 bytes)

azv

2022-04-21 16:12

administrator   ~0108086

Igor, please, analyze if the problem within the intersection algorithm

git

2022-04-25 18:15

administrator   ~0108169

Branch CR32942 has been created by ifv.

SHA-1: 07d00564f8d0e194a390871eb586aa9800c6d184


Detailed log of new commits:

Author: ifv
Date: Mon Apr 25 18:14:18 2022 +0300

    0032942: Modeling Algorithms - Boolean operation Common has no result in specific example

git

2022-04-26 17:01

administrator   ~0108190

Branch CR32942 has been updated by ifv.

SHA-1: 40340b110b62eb2f1d0a537bc61ff57d44a08803


Detailed log of new commits:

Author: ifv
Date: Tue Apr 26 17:01:37 2022 +0300

    Increasing nbsamples

git

2022-04-28 11:21

administrator   ~0108234

Branch CR32942 has been updated by ifv.

SHA-1: d2571c6aa9c93ca45f281bb71efa3e9ca32cc713


Detailed log of new commits:

Author: ifv
Date: Thu Apr 28 11:20:52 2022 +0300

    Adding deflection to surface box

git

2022-04-28 14:57

administrator   ~0108237

Branch CR32942 has been updated forcibly by ifv.

SHA-1: 31080889d89c0dce9f3d6861896a77fcd29a8d7a

git

2022-04-28 16:46

administrator   ~0108240

Branch CR32942 has been updated forcibly by ifv.

SHA-1: 5061ad2c437d7080cfd4654e4c01a573f3678fee

git

2022-04-28 16:49

administrator   ~0108241

Branch CR32942 has been updated forcibly by ifv.

SHA-1: 7f3ff8387a63b61993e146ba41279bfb47122660

git

2022-04-29 12:40

administrator   ~0108253

Branch CR32942 has been updated forcibly by ifv.

SHA-1: 7d2ab9fc8076853f2090ee58c8d726ae462e3906

ifv

2022-04-29 14:50

developer   ~0108255

Branch CR32942 is ready for review

Branch fixes issues 0032943, 0032944, 0032945

Branches for integration:
OCCT - CR32942
Products - not

Test results:
http://jenkins-test-08.nnov.opencascade.com/view/CR32942-master-IFV/view/COMPARE/

git

2022-05-05 11:30

administrator   ~0108335

Branch CR32942 has been updated forcibly by azv.

SHA-1: 96ecdd0fa298c2279ba62ab8c60b96656f3978ab

azv

2022-05-05 13:55

administrator   ~0108341

Issues 0032942, 0032943, 0032944 and 0032945 were fixed.

git

2022-05-08 16:17

administrator   ~0108383

Branch CR32942 has been deleted by mnt.

SHA-1: 96ecdd0fa298c2279ba62ab8c60b96656f3978ab

Related Changesets

occt: master 33463eef

2022-04-25 18:14:18

ifv


Committer: smoskvin Details Diff
0032942: Modeling Algorithms - Boolean operation Common has no result in specific example

IntTools/IntTools_BeanFaceIntersector.cxx - calculation of deflection for surface bnd box is added
tests/bugs/modalg_8/bug32942,bug32943,bug32944,bug32945 - new test cases added
Affected Issues
0032942
mod - src/IntTools/IntTools_BeanFaceIntersector.cxx Diff File
add - tests/bugs/modalg_8/bug32942 Diff File
add - tests/bugs/modalg_8/bug32943 Diff File
add - tests/bugs/modalg_8/bug32944 Diff File
add - tests/bugs/modalg_8/bug32945 Diff File

Issue History

Date Modified Username Field Change
2022-04-21 11:43 Matthias New Issue
2022-04-21 11:43 Matthias Assigned To => msv
2022-04-21 11:58 Matthias Note Added: 0108065
2022-04-21 11:58 Matthias File Added: m.brep
2022-04-21 11:58 Matthias File Added: s.brep
2022-04-21 15:36 Matthias Steps to Reproduce Updated
2022-04-21 16:12 azv Assigned To msv => ifv
2022-04-21 16:12 azv Status new => assigned
2022-04-21 16:12 azv Note Added: 0108086
2022-04-22 12:23 ifv Time allocated 21.4.2022: 4 h. => set
2022-04-22 12:23 ifv Time allocated 22.4.2022: 8 h. => set
2022-04-25 18:13 ifv Summary Boolean operation Common has no result in specific example => Modeling Algorithms - Boolean operation Common has no result in specific example
2022-04-25 18:15 git Note Added: 0108169
2022-04-26 17:01 git Note Added: 0108190
2022-04-28 11:21 git Note Added: 0108234
2022-04-28 14:57 git Note Added: 0108237
2022-04-28 16:46 git Note Added: 0108240
2022-04-28 16:49 git Note Added: 0108241
2022-04-29 12:40 git Note Added: 0108253
2022-04-29 14:46 ifv Test case number => bugs/modalg_8/bug32942
2022-04-29 14:50 ifv Assigned To ifv => azv
2022-04-29 14:50 ifv Status assigned => resolved
2022-04-29 14:50 ifv Steps to Reproduce Updated
2022-04-29 14:50 ifv Note Added: 0108255
2022-04-29 14:58 ifv Time allocated 29.4.2022: 28 h. => set
2022-05-05 11:30 git Note Added: 0108335
2022-05-05 11:33 azv Relationship added related to 0032943
2022-05-05 11:33 azv Relationship added related to 0032944
2022-05-05 11:33 azv Relationship added related to 0032945
2022-05-05 13:55 azv Assigned To azv => bugmaster
2022-05-05 13:55 azv Status resolved => reviewed
2022-05-05 13:55 azv Note Added: 0108341
2022-05-08 13:54 bugmaster Status reviewed => tested
2022-05-08 16:15 smoskvin Changeset attached => occt master 33463eef
2022-05-08 16:15 ifv Assigned To bugmaster => ifv
2022-05-08 16:15 ifv Status tested => verified
2022-05-08 16:15 ifv Resolution open => fixed
2022-05-08 16:17 git Note Added: 0108383